tigase.jaxmpp.core.client.xmpp.modules.chat

## Class MessageModule.ChatUpdatedHandler.ChatUpdatedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MessageModule.ChatUpdatedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.chat.MessageModule.ChatUpdatedHandler.ChatUpdatedEvent

- Enclosing interface:
    MessageModule.ChatUpdatedHandler

      public static class MessageModule.ChatUpdatedHandler.ChatUpdatedEvent
      extends JaxmppEvent<MessageModule.ChatUpdatedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatUpdatedEvent(SessionObject sessionObject, Chat chat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(MessageModule.ChatUpdatedHandler handler)` Invokes handlers method.
    `Chat` | `getChat()`
    `void` | `setChat(Chat chat)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChatUpdatedEvent

          public ChatUpdatedEvent(SessionObject sessionObject,
                                  Chat chat)

  - ### Method Detail

    - #### dispatch

          public void dispatch(MessageModule.ChatUpdatedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MessageModule.ChatUpdatedHandler>`
      Parameters:
        `handler` - handler

    - #### getChat

          public Chat getChat()

    - #### setChat

          public void setChat(Chat chat)

Copyright © 2006–2020 Tigase. All rights reserved.